Support » Plugin: WordPress Importer » WordPress Importer displays an error message

  • If I activate the WordPress Importer with WordPress 4.5.2, and goes to the Import page, I get the following message:

    Strict Standards: Redefining already defined constructor for class WXR_Parser_Regex in /home/romainbijp/dev/wp-content/plugins/wordpress-importer/parsers.php on line 408

    Strict Standards: Declaration of WP_Import::bump_request_timeout() should be compatible with WP_Importer::bump_request_timeout($val) in /home/romainbijp/dev/wp-content/plugins/wordpress-importer/wordpress-importer.php on line 38

    Romain

    https://wordpress.org/plugins/wordpress-importer/

Viewing 7 replies - 1 through 7 (of 7 total)
  • Same here:

    Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; WP_Import has a deprecated constructor in wp-content/plugins/wordpress-importer/wordpress-importer.php on line 38

    Xari

    (@xari)

    I have the same error on my wordpress

    Warning: Declaration of WP_Import::bump_request_timeout() should be compatible with WP_Importer::bump_request_timeout($val) in /home/hafdly/webapps/maxiob/wp-content/plugins/wordpress-importer/wordpress-importer.php on line 38

    How I can fix it?

    esmi

    (@esmi)

    @xari: This is not your topic. If you require assistance then, as per the Forum Welcome, please post your own topic.

    rbiard

    (@rbiard)

    @esmi: Indeed, this is not @xari topic, but the error seems to be the same, and I still didn’t get any answer since a month, even just to tell me that you were investigating…

    esmi

    (@esmi)

    @rbiard: These forums have guidelines. Please read them. As you will see, one of these guidelines – entitled Where to Post – specifically states:

    Unless you are using the same version of WordPress on the same physical server hosted by the same hosts with the same plugins, theme & configurations as the original poster, do not post in someone else’s thread. Start your own topic.

    Please abide by this and do remember that we cannot force the author of this plugin to respond.

    rbiard

    (@rbiard)

    @esmi: my point is not to force the plugin author to answer, but since this is an Automatic plugin, I thought they would consider fixing bugs…

    nm

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘WordPress Importer displays an error message’ is closed to new replies.